#!/usr/bin/env bash
set -ex

apt-get install curl -y

sudo -Hiu jenkins gpg --keyserver hkp://keys.gnupg.net --recv-keys 409B6B1796C275462A1703113804BB82D39DC0E3
sudo -Hiu jenkins bash -c 'curl -sSL https://get.rvm.io | bash -s head'

sudo -Hiu jenkins bash -c "echo '[[ -s /var/lib/jenkins/.rvm/scripts/rvm ]] && source /var/lib/jenkins/.rvm/scripts/rvm' >> /var/lib/jenkins/.bashrc"

cat << "END" > /var/lib/jenkins/.rvmrc
rvm_install_on_use_flag=1
rvm_project_rvmrc=1
rvm_gemset_create_on_use_flag=1
END

chown jenkins /var/lib/jenkins/.rvmrc
